/*
 * File Archive Library
 * Copyright (C) 2000-2001 Patrizio Bruno <patrizio@dada.it>
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    Read the file LICENSE for more.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include "far.h"
#include "utils.h"

char *version(void);

int main(int argc, char **argv)
{
	FILE	*fp		= (FILE *)NULL;
	char	*buffer	= (char *)NULL,
			*list	= (char *)NULL;
	size_t	size	= 0;

	errno = 0;

	if(argc == 1)
	{
		fprintf(stderr, "This software is distributed under "
				"the rights\nof the GNU Lesser Public License "
				"v2\n\n");
		fprintf(stderr, "Version %s, Library version %s\n",
				version(), far_version());
		fprintf(stderr, "Usage:\n\t%s <output_file> [path_list]\n\n",
				argv[0]);

		exit(-1);
	}
	else if(argc > 2)
	{
		list = strjoin(argv + 2, argc - 2, " ");
	}

	buffer=far_create(list, NULL, &size);

	fp = fopen(argv[1], "w");

	fwrite(buffer, size, 1, fp);

	fclose(fp);

	exit(0);
}

char *version(void)
{
	static	char	result[1024];
	char		*tmp		= NULL,
			*ptr		= NULL;

	tmp = strdup("$Revision: 1.9 $");

	tmp = strchr(tmp, ' ');

	tmp++;

	ptr = strchr(tmp, ' ');
	*ptr = 0;

	sprintf(result, "%s", tmp);

	return &(result[0]);
}

